ecos editor blender plugin - Feature #124
Feature # 123 (Closed): ecos entity exporter function
Implement ecos entity exporter

2021-08-04 14:56 - Fredrick Amnehagen

Status: Closed Start date: 2021-08-10
Priority: Normal Due date: 2021-08-11
Assignee: Fredrick Amnehagen % Done: 100%
Category: Development Estimated time: 6:00 hours
Target version: Sprint 1 - Prototype Spent time: 6:30 hours
Description

Only available when the file has been initialized as an entity, and not a world.
In the panel the user may connect

e a mesh as the ecos mesh,

¢ a material which only captures the texture, and

e a mesh as the collision mesh.

This will then be exported into the new becos 2.0.1 format.

History

#1 - 2021-08-04 19:33 - Fredrick Amnehagen
- Start date changed from 2021-08-04 to 2021-08-10

#2 - 2021-08-04 19:33 - Fredrick Amnehagen
- Estimated time changed from 4:00 h to 6:00 h

#3 - 2021-08-15 21:04 - Fredrick Amnehagen

https://github.com/Isalzman/igm/blob/master/blender-2.74/igm_export.py

#4 - 2021-08-16 09:27 - Fredrick Amnehagen

- Status changed from To do to In Progress

#5 - 2021-08-16 15:58 - Fredrick Amnehagen
- % Done changed from 0 to 90

Implemented entity exporter.

started breaking out features into separate files. Refactoring needed.
implemented becos entity exporter.

implemented lots of related functionality.

updated bcos data format specification to version 3.0.0

#6 - 2021-08-16 16:51 - Fredrick Amnehagen
- % Done changed from 90 to 100

#7 - 2021-08-16 16:51 - Fredrick Amnehagen

- Status changed from In Progress to Closed
https://github.com/lsalzman/iqm/blob/master/blender-2.74/iqm_export.py
